from banbou import _Projet
import banbou, os

# Je n'ai pas mocker l'environnement donc prévoir d'effacer
# les anciens fichiers et dossier créés par les tests précédents




def test_doit_copier_les_fichiers_necessaires(mocker):

    dossier = r"C:\Users\David_Castex\Documents\DATAS\GITDAV\NEOBANBOU\test\JEUXDONNEES\DIS_AXR08_PT802161"

    sut = _Projet()
    sut.racine = dossier
    sut.liste = banbou.creer_liste(dossier)
    sut.preparer_dossier_travail()

    out = os.walk(dossier + "\\Travail")
    liste = [i for i in out]

    # valeurs attendues
    sous_dossier_attendue = [] # pas de sous dossier
    fichiers_attendues = ['DIS.pdf', 'DIS_AXR08_PT802161.csv', 'DIS_AXR08_PT802161.dwg', 'DIS_AXR08_PT802161.pdf']


    assert liste[0][1] == sous_dossier_attendue
    assert liste[0][2] == fichiers_attendues

    # TODO: effacer le dossier de "Travail" pour pas interférer avec les autres tests
